Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_PSDL_Module_Visitor Class Reference

`#include <PSDL_Module_Visitor.h>`

Inheritance diagram for TAO_PSDL_Module_Visitor:

[legend]
Collaboration diagram for TAO_PSDL_Module_Visitor:

[legend]
List of all members.

## Public Methods
| TAO_PSDL_Module_Visitor ()
| ~TAO_PSDL_Module_Visitor ()
int | visit_module (TAO_PSDL_Module *node)

## Constructor & Destructor Documentation

TAO_PSDL_Module_Visitor::TAO_PSDL_Module_Visitor | ( |  | ) |

TAO_PSDL_Module_Visitor::~TAO_PSDL_Module_Visitor | ( |  | ) |

## Member Function Documentation

int TAO_PSDL_Module_Visitor::visit_module | ( | TAO_PSDL_Module * | node | ) | `[virtual]`

| Reimplemented from TAO_PSDL_Node_Visitor.

The documentation for this class was generated from the following files:

- PSDL_Module_Visitor.h
- PSDL_Module_Visitor.cpp